
const db = require('./dynamo')
const mapAttributes = require('./mapAttributes')
const createFilterExpression = require('./')

function filter(TableName, pair) {
  let params = {
    TableName: `${process.env.DYNAMODB_TABLE}-${TableName}`,
    ...mapAttributes(pair),
    ...createFilterExpression(pair)
  }
  return db.scan(params)
}

module.exports = filter