const db = require('./dynamo')
const mapAttributes = require('./mapAttributes')

const getByUserId = (TableName, user) => db.scan({
  TableName: `${process.env.DYNAMODB_TABLE}-${TableName}`,
  ...mapAttributes({ user }),
  FilterExpression: '#user = :user',
})

module.exports = getByUserId